Ale dirèkteman nan kontni an

Templates

List templates​

GET /v1/templates

Scope: jobs:read

Print one with POST /v1/jobs and { templateId, data }.

Responses

StatusDescription
200Every template of the organization (one page).

Fields of the 200 response:

FieldTypeRequiredDescription
dataobject[]yes
data[].idstringyesUse as templateId when creating jobs
data[].namestringyes
data[].type"zpl" | "epl" | "receipt" | "html"yes
data[].contentstringyesTemplate text with {{variables}}
data[].paperstring | nullyes
data[].createdAtstringyesISO 8601 date-time
data[].updatedAtstringyesISO 8601 date-time
nextCursorstring | nullyesPass as ?cursor= for the next page
curl "https://api.jodaprint.dev/v1/templates" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"

Get a template​

GET /v1/templates/{id}

Scope: jobs:read

Parameters

NameInTypeRequiredDescription
idpathstringyes

Responses

StatusDescription
200The template.
404NOT_FOUND

Fields of the 200 response:

FieldTypeRequiredDescription
idstringyesUse as templateId when creating jobs
namestringyes
type"zpl" | "epl" | "receipt" | "html"yes
contentstringyesTemplate text with {{variables}}
paperstring | nullyes
createdAtstringyesISO 8601 date-time
updatedAtstringyesISO 8601 date-time
curl "https://api.jodaprint.dev/v1/templates/<id>" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"